Package csb :: Package bio :: Package io :: Module wwpdb :: Class CombinedResidueMapper

[frames] | no frames]

# Class CombinedResidueMapper

source code

               object --+
                        |
    AbstractResidueMapper --+
                            |
                           CombinedResidueMapper

The best of both worlds: attempts to map the residues using FastResidueMapper, but upon failure secures success by switching to RobustResidueMapper.

Nested Classes
Inherited from `AbstractResidueMapper`: `__metaclass__`

Instance Methods

SparseChainSequence

map(self, sparse, reference) Map `sparse`'s residues to `reference`. | source code

Inherited from `AbstractResidueMapper`: `create_gap` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| FAST = `<csb.bio.io.wwpdb.FastResidueMapper object>`
| ROBUST = `<csb.bio.io.wwpdb.RobustResidueMapper object>`
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `object`: `__class__`

Method Details

### map(self, sparse, reference)

source code

Map `sparse`'s residues to `reference`. Return all `sparse` residues, aligned over `reference`, with artificial gap residues inserted at relevant positions. The resulting sequence of sparse residues will always have the same length as the `reference` sequence.

Parameters:
  - `sparse` - sparse sequence (e.g. derived from ATOMS records)
  - `reference` - reference, complete sequence (e.g. derived from SEQRES records)
Returns: SparseChainSequence
  all `sparse` residues, optimally aligned over `reference` (with gaps)
Raises:
  - `ResidueMappingError` - if the specified sequences are not alignable
Overrides: AbstractResidueMapper.map
  (inherited documentation)